# HardwareID

Кросс-платформенная библиотека для генерации уникальных аппаратных идентификаторов (HWID).

## Особенности

- Поддержка Windows, Linux и WSL
- Не требует прав администратора (кроме некоторых случаев на Windows)
- Использует SHA3-512 для хеширования
- Автоматически определяет окружение

## Установка

```bash
pip install hardwareid
```

## Использование

### Базовый пример
```python
from hardwareid import get_hwid_data

hwid = get_hwid_data()
print(f"Your Hardware ID: {hwid}")
```


## Как это работает?
Библиотека собирает данные из:
- **Windows/WSL**: Serial материнской платы, ID процессора, BIOS serial
- **Linux**: DMI данные, machine-id, UUID диска

Данные хешируются алгоритмом SHA3-512 для создания уникального идентификатора.

## Ограничения
- При замене материнской платы/процессора HWID изменится
- На виртуальных машинах возможна меньшая уникальность

## Лицензия
Проект распространяется под лицензией MIT. Полный текст см. в файле [LICENSE](LICENSE).
